# spritecache.h File Reference

Functions to cache sprites in memory. More...

`#include "gfx_type.h"`

Go to the source code of this file.

## Data Structures
struct | Sprite
| Data structure describing a sprite. More...
## Functions
void * | GetRawSprite (SpriteID sprite, SpriteType type)
bool | SpriteExists (SpriteID sprite)
static const Sprite * | GetSprite (SpriteID sprite, SpriteType type)
static const byte * | GetNonSprite (SpriteID sprite, SpriteType type)
void | GfxInitSpriteMem ()
void | IncreaseSpriteLRU ()
bool | LoadNextSprite (int load_index, byte file_index, uint file_sprite_id)
bool | SkipSpriteData (byte type, uint16 num)
| Skip the given amount of sprite graphics data.
void | DupSprite (SpriteID old_spr, SpriteID new_spr)
## Variables
uint | _sprite_cache_size

## Detailed Description

Functions to cache sprites in memory.

Definition in file spritecache.h.

## Function Documentation

bool SkipSpriteData | ( | byte | type,
|  | uint16 | num |
| ) |  |  |

Skip the given amount of sprite graphics data.

Parameters:

  | type | the type of sprite (compressed etc)
  | num | the amount of sprites to skip

Returns:
  true if the data could be correctly skipped.

Definition at line 90 of file spritecache.cpp.

Referenced by ReadSpriteHeaderSkipData().